(use-modules (guix git-download)
             (guix packages)
             (gnu packages autotools)
             (gnu packages base)
             (gnu packages compression)
             (gnu packages guile)
             (gnu packages guile-xyz)
             (gnu packages pkg-config)
             (gnu packages texinfo))

(define guile-hoot-next
  (let ((commit "66eca43e7fc0478b265c7826b7e52eec866e0b21")
        (revision "1"))
    (package
      (inherit guile-hoot)
      (version (git-version "0.4.1" revision commit))
      (source (origin
                (method git-fetch)
                (uri (git-reference
                      (url "https://gitlab.com/spritely/guile-hoot.git")
                      (commit commit)))
                (file-name (git-file-name "guile-hoot" version))
                (sha256
                 (base32 "0pd81wg6adzf1kvmgcxylailzwa0d5vdrhfpy4d54ddl31j6h824"))))
      (native-inputs
       (list autoconf automake pkg-config texinfo)))))

(packages->manifest (list guile-next guile-hoot-next gnu-make zip))
